[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/162/7.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-web-162)
[![Build Status](https://travis-ci.org/OCA/web.svg?branch=7.0)](https://travis-ci.org/OCA/web)
[![Coverage Status](https://coveralls.io/repos/OCA/web/badge.png?branch=7.0)](https://coveralls.io/r/OCA/web?branch=7.0)
[![Code Climate](https://codeclimate.com/github/OCA/web/badges/gpa.svg)](https://codeclimate.com/github/OCA/web)

Web addons for Odoo
===================

This project aims to deal with modules related to the webclient of Odoo. You'll find modules that:

- Add facilities to the UI
- Add widgets
- Ease the import/export features
- Generally add clientside functionality

[//]: # (addons)

Available addons
----------------
addon | version | summary
--- | --- | ---
[support_branding](support_branding/) | 2.0 | Adds your branding to an Odoo instance
[web_advanced_filters](web_advanced_filters/) | 1.0 | Advanced filters
[web_advanced_search_wildcard](web_advanced_search_wildcard/) | 0.1 | Simular search in searchbar
[web_advanced_search_x2x](web_advanced_search_x2x/) | 7.0.1.0.0 | Use a search widget in advanced search for x2x fields
[web_ckeditor4](web_ckeditor4/) | 1.0 | CKEditor 4.x widget
[web_color](web_color/) | 1.0 | Web Color
[web_compute_domain_x2many](web_compute_domain_x2many/) | 1.0 | Compute client-side domains on x2many fields correctly
[web_confirm_window_close](web_confirm_window_close/) | 7.0.1 | Check for unsaved data when closing browser window
[web_dashboard_tile](web_dashboard_tile/) | 7.0.1.0.1 | Add Tiles to Dashboard
[web_duplicate_visibility](web_duplicate_visibility/) | 7.0.1.0.0 | This module allows to manage the visibility of duplicate button from the form view declaration.
[web_easy_switch_company](web_easy_switch_company/) | 1.0 | Multicompany - Easy Switch Company
[web_export_view](web_export_view/) | 1.1 | Export Current View
[web_ir_actions_act_window_page](web_ir_actions_act_window_page/) | 1.0 | Window actions for client side paging
[web_lib_moment](web_lib_moment/) | 1.0 | Moment.js for Odoo
[web_list_html_widget](web_list_html_widget/) | 0.1 | HTML widget for list/tree views
[web_listview_custom_element_number](web_listview_custom_element_number/) | 1.0 | Web - Custom Element Number in ListView
[web_m2x_options](web_m2x_options/) | 7.0.1.0.0 | web_m2x_options
[web_nocreatedb](web_nocreatedb/) | 1.0 | NO create database link
[web_note](web_note/) | 7.0.1.0.0 | Web Note
[web_polymorphic_many2one](web_polymorphic_many2one/) | 0.2 | Web Polymorphic Many2One
[web_popup_large](web_popup_large/) | 7.0.1.0 | Large pop-ups in web client
[web_pytz](web_pytz/) | 1.0 | pytz support for filter domains
[web_readonly_bypass](web_readonly_bypass/) | 1.0 | Read Only ByPass
[web_recipients_uncheck](web_recipients_uncheck/) | 0.2 | Uncheck recipients on res.partner
[web_relativedelta](web_relativedelta/) | 1.0 | More pythonic relativedelta
[web_search_alphabetic](web_search_alphabetic/) | 1.0 | Web Alphabetical Search
[web_send_message_popup](web_send_message_popup/) | 1.0 | Web Send Message as Popup
[web_sheet_full_width](web_sheet_full_width/) | 1.0 | Use the whole available screen width when displaying sheets
[web_translate_dialog](web_translate_dialog/) | 1.0 | Web Translate Dialog
[web_tree_many2one_clickable](web_tree_many2one_clickable/) | 1.0 | Clickable many2one widget for tree views
[web_warning_on_save](web_warning_on_save/) | 1.0 | Web warning on save
[web_warning_sound](web_warning_sound/) | 0.1 | Web Warning Sounds
[web_widget_boolean_switch](web_widget_boolean_switch/) | 7.0.1.0.0 | This module add widget to render boolean fields
[web_widget_color](web_widget_color/) | 1.0 | Web Widget Color
[web_widget_datepicker_options](web_widget_datepicker_options/) | 1.0 | web_widget_datepicker_options
[web_widget_fieldtext_options](web_widget_fieldtext_options/) | 7.0.1.0.0 | Web text limited widget
[web_widget_float_formula](web_widget_float_formula/) | 1.0 | Web Widget - Formulas in Float fields
[web_widget_many2many_tags_multi_selection](web_widget_many2many_tags_multi_selection/) | 7.0.1.0 | Tags multiple selection

[//]: # (end addons)

Translation Status
------------------
[![Transifex Status](https://www.transifex.com/projects/p/OCA-web-7-0/chart/image_png)](https://www.transifex.com/projects/p/OCA-web-7-0)

----

OCA, or the Odoo Community Association, is a nonprofit organization whose
mission is to support the collaborative development of Odoo features and
promote its widespread use.

http://odoo-community.org/
